<!-- --COPYRIGHT--,BSD
 *  Copyright (c) 2012, Texas Instruments Incorporated
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 * 
 *  *  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 * 
 *  *  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *  *  Neither the name of Texas Instruments Incorporated nor the names of
 *     its contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT-- -->
<!DOCTYPE html>
<html>
	<head data-gc-version="1.0.0001">
		<meta charset="utf-8"/>
		<title>Untitled</title>
		<style>
			@import "lib/dojo/dijit/themes/claro/claro.css";
			@import "lib/dojo/dojo/resources/dojo.css";
			@import "lib/gc/dijit/libs/css/zdialog/zebra_dialog.css";
			@import "lib/gc/dijit/libs/css/ui-lightness/jquery-ui.css";
			@import "lib/gc/dijit/libs/css/jquery.jqplot.css";

			#Content {
				position:absolute;
				width:680px;
				height:530px;
				top:2px;
				left:261px;
				border-width:1px;
			} 

		</style>


		<style type="text/css">
			body {background-image:url('images/Main_BLDC_Background.PNG');}
		</style>
		
		<script type="text/javascript" src="maqetta/maqetta.js"></script>
		<script type="text/javascript" data-dojo-config="'async':true,'parseOnLoad':true,'packages':[{'name':'gc','location':'../../gc'}]" src="lib/dojo/dojo/dojo.js"></script>
		<script type="text/javascript" src="lib/gc/backplane/guiComposer.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/steelseries.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/tween.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery-ui.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery.jqplot.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.cursor.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasTextRenderer.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasAxisLabelRenderer.min.js"></script>
		<script type="text/javascript" src="maqetta/States.js"></script>
		<script type="text/javascript">
			require(["dijit/dijit"]);
			require(["dojo/parser"]);
			require(["gc/dijit/TabContainer"]);
			require(["gc/dijit/ContentPane"]);
			require(["gc/dijit/NumberSpinner"]);
			require(["gc/dijit/CheckBox"]);
			require(["gc/dijit/Label"]);
			require(["gc/dijit/ComboBox"]);
			require(["gc/dijit/DigitalMeter"]);
			require(["gc/dijit/TextBox"]);
			require(["gc/dijit/Image"]);
			require(["gc/dijit/LineGraph"]);
			require(["gc/dijit/ScalarLineGraph"]);
			require(["gc/dijit/Dial"]);
			require(["gc/dijit/HorizontalSlider"]);
			require(["gc/dijit/HorizontalRule"]);
			require(["gc/dijit/HorizontalRuleLabels"]);
			require(["gc/dijit/VerticalSlider"]);
			require(["gc/dijit/VerticalRule"]);
			require(["gc/dijit/VerticalRuleLabels"]);
			require(["gc/dijit/ValueButton"]);
			require(["gc/dijit/Select"]);
		</script>
		
		<script type="text/javascript">
			
			var $ConversionHelpers = 
			{
				divideBy10ForVDCBus: function (oldValue)
				{
					return oldValue / 100;
				},
				
				scaleValueDown: function (oldValue)
				{
					return oldValue / 1000000;
				},
				convertFromQ24: function (oldValue)
				{
					return Math.round(oldValue*(Math.pow(2,24))); 
				},
				
				convertToQ24: function (oldValue)
				{
					return oldValue/(Math.pow(2,24));
				},

				convertFromFluxThreshold: function (oldValue)
				{
					return Math.round((oldValue*60774608)/3.62); 
				},


			}
		</script>
	</head>

	<body class="claro" dvFlowLayout="false" data-davinci-ws="collapse" id="myapp" >
					
 		<input id="motor_speed_rpm" data-dojo-type="gc.dijit.TextBox" style=" z-index: 9999; position: absolute; left: 87px; top: 38px;width:7em;height=2em;background-color:transparent; border-width:0px;" value="0"></input>
	

		<canvas id="Main_Dial" data-dojo-type="gc.dijit.Dial" 
			data-dojo-props="
			minValue: -0.95,
			maxValue: 0.95,
			labels: 0,
			value: 0,
			animate: false,
			size:126,labelNumberFormat: {format: 'fractional'},fractionalScaleDecimals : 2,"
			style="z-index: 9999; position: absolute; left: 71px; top: 189px;">
		</canvas>


		<label 
			id="spinner_for_guiRef" 
			data-dojo-type="dijit.form.NumberSpinner" 
			smallDelta="0.001"
			constraints="{min:-1.0,max:1.0,places:3}"
			name="Gui.SpeedRef" style="z-index: 9999; position: absolute; left: 101px; top: 324px; width: 61px;">
		</label> 

		<canvas id="motor_current_meter" data-dojo-type="gc.dijit.DigitalMeter" style="z-index: 9999; position: absolute; left: 12px; top: 363px;" data-dojo-props="titleString: 'Motor Current (PU)', minValue: 0.0,maxValue: 1.0, width : 241, height : 50 ,labelNumberFormat: 'fractional',maxNoOfMajorTicks: 5,maxNoOfMinorTicks:1,"></canvas>								
		
		<div id="threshold_slider" data-dojo-type="gc.dijit.HorizontalSlider" minimum="0" maximum="5.0" discreteValues="500" style="z-index: 999; position: absolute; left: 13px; top: 445px; width: 240px;height: 50px"> 
		
			<ol data-dojo-type="dijit.form.HorizontalRuleLabels" >
				<li><font color="white">0.0</font></li>
			
				<li><font color="white">1.0</font></li>
				
				<li><font color="white">2.0</font></li>
				
				<li><font color="white">3.0</font></li>
				
				<li><font color="white">4.0</font></li>
				
				<li><font color="white">5.0</font></li>
			</ol> 					
		</div>
		<label 
			id="spinner_for_guiRef_two" 
			data-dojo-type="dijit.form.NumberSpinner" 
			smallDelta=".01"
			constraints="{min:0.0,max:5.0,places:2}"
			name="Gui.SpeedRef" style="z-index: 999; position: absolute; left: 96px; top: 509px; width: 59px;">
		</label> 

		<textarea type="text" id="motorcurrent" data-dojo-type="gc.dijit.TextBox" style="height: 20px; z-index: 9999; position: absolute; left: 120px; top: 414px; width: 30px; background-color:transparent; border-width:1px;"></textarea>

		<div style="z-index: 9999; position: absolute; left: 907px; top: 8px; ">
			<table>
				<tr >
					<a href="Main_UI_BLDC_One_Big_Graph.html" target="common_haha">
						<div style="z-index: 9999; position: absolute; ">
							<img src="images/button_one.bmp" height="30px" width="30px" >
						</div>
					</a>
				</tr>


				<tr >
					<a href="Main_UI_BLDC_One_Big_RPM_Graph.html" target="common_haha">
						<div style="z-index: 9999; position: absolute; top: 34px; ">
							<img src="images/button_two.bmp" height="30px" width="30px" >
						</div>
					</a>
				</tr>



				<tr >
					<a href="Main_UI_BLDC_Two_Big_Graphs.html" target="common_haha">
						<div style="z-index: 9999; position: absolute; top: 68px; ">
							<img src="images/button_three.bmp" height="30px" width="30px" > 
						</div>
					</a>
				</tr>

				<tr >
					<a href="Main_UI_BLDC_Three_Top_Big_Graphs.html" target="common_haha">
						<div style="z-index: 9999; position: absolute; top: 102px; ">
							<img src="images/button_four.bmp" height="30px" width="30px" > 
						</div>
					</a>
				</tr>




				<tr >
					<a href="Main_UI_BLDC_Four_Small_Graphs.html" target="common_haha">
							<div style="z-index: 9999; position: absolute; top: 136px; ">
							<img src="images/button_five.bmp" height="30px" width="30px" >
						</div>
					</a>
				</tr>

			</table>
		</div>

		<div id="Content" style="border-width:0px; background-color: #FFFFFF;" >
			<iframe name = "common_haha" src="Main_UI_BLDC_One_Big_Graph.html" height="530px" width="680px" frameborder="0" style="background-color: #FFFFFF;"></iframe>
		</div>

		<input id="enable_motor_checkbox" type="checkbox" data-dojo-type="gc.dijit.CheckBox" style="z-index: 9999; position: absolute; left: 13px; top: 563px;"></input>

		<select id="control_mode_combobox" data-dojo-type="gc.dijit.Select" style="z-index: 9999; position: absolute; left: 131px; top: 567px; width: 103px;">
			<option value="0" selected="selected">Duty Cycle</option>
			<option value="1"                    >Current</option>
			<option value="2"                    >Velocity</option>
			<option value="3"                    >Cascade</option>
		</select>

		<button id="reset_fault_status_button" style="z-index: 9999; position: absolute; left: 346px; top: 560px;" data-dojo-type="gc.dijit.ValueButton" data-dojo-props="label:'Reset Fault', value: 1"></button>		

		<img id="reset_fault_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 276px; top: 563px;"/>
		<canvas id="dc_bus_meter" data-dojo-type="gc.dijit.DigitalMeter" style="z-index: 9999; position: absolute; left: 522px; top: 548px;" data-dojo-props="titleString: 'DC Bus', minValue: 0,maxValue: 63, width : 171, height : 31,maxNoOfMajorTicks: 7,maxNoOfMinorTicks:1,"></canvas>
		
		<textarea type="text" id="dc_bus_voltage_number" data-dojo-type="gc.dijit.TextBox" style="height: 20px; z-index: 9999; position: absolute; left: 600px; top: 578px; width: 37px; background-color:transparent; border-width:0px;"></textarea> 

		<img id="dc_bus_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 708px; top: 555px;"/>
		<img id="over_temp_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 859px; top: 555px;"/>

	</body>
</html>

